mmuPpcBatInitMPC74x5 vxworks 5.5.1 and Tornado 2.2.2 problem - VxWorks

This is a discussion on mmuPpcBatInitMPC74x5 vxworks 5.5.1 and Tornado 2.2.2 problem - VxWorks ; Hi guys, I have a problem with my Tornado installation and upgrade. The latest patch from my board (A Randstone PPC604 one) requires Tornado 2.2.2 with VxWorks 5.5.2. The patch is 2.6 (the latest service pack is 11) Scenario: win2k ...

+ Reply to Thread
Results 1 to 6 of 6

Thread: mmuPpcBatInitMPC74x5 vxworks 5.5.1 and Tornado 2.2.2 problem

  1. mmuPpcBatInitMPC74x5 vxworks 5.5.1 and Tornado 2.2.2 problem

    Hi guys,

    I have a problem with my Tornado installation and upgrade. The latest
    patch from my board (A Randstone PPC604 one) requires Tornado 2.2.2
    with VxWorks 5.5.2. The patch is 2.6 (the latest service pack is 11)

    Scenario:
    win2k development platform (clean, no Tornado instalation)
    First of all, I install Tornado 2.2 from the installation CD's. No BSP
    is installed.
    Then, I install the CP1 patch in order to raise the version to 2.2.1
    Now, I install the CP2 patch to raise the version to 2.2.2

    Then I install my BSP software (2.6) for my board. All works fine. I
    can create a kernel, a bootrom, etc. Now, here comes the mayhem.

    If I update my instalation with any of the service packs for the board,
    the following error arises when linking a bootrom (or kernel, it's the
    same problem):

    mmuPpcBatInitMPC74x5 symbol is not found (the import is in SysLib.c
    file).

    I have tried with SP6, SP8, SP9 and SP11, all go wrong.

    Any fixes (or clues) for that ?
    Thanks in advance,

    Juan M. Casillas


  2. Re: mmuPpcBatInitMPC74x5 vxworks 5.5.1 and Tornado 2.2.2 problem

    assman wrote:
    > Hi guys,
    >
    > I have a problem with my Tornado installation and upgrade. The latest
    > patch from my board (A Randstone PPC604 one) requires Tornado 2.2.2
    > with VxWorks 5.5.2. The patch is 2.6 (the latest service pack is 11)
    >
    > Scenario:
    > win2k development platform (clean, no Tornado instalation)
    > First of all, I install Tornado 2.2 from the installation CD's. No BSP
    > is installed.
    > Then, I install the CP1 patch in order to raise the version to 2.2.1
    > Now, I install the CP2 patch to raise the version to 2.2.2
    >
    > Then I install my BSP software (2.6) for my board. All works fine. I
    > can create a kernel, a bootrom, etc. Now, here comes the mayhem.
    >
    > If I update my instalation with any of the service packs for the board,
    > the following error arises when linking a bootrom (or kernel, it's the
    > same problem):
    >
    > mmuPpcBatInitMPC74x5 symbol is not found (the import is in SysLib.c
    > file).
    >
    > I have tried with SP6, SP8, SP9 and SP11, all go wrong.
    >
    > Any fixes (or clues) for that ?
    > Thanks in advance,


    Should have read the release notes.....

    >From section 1.3


    MPC744x and MPC745x Processors

    BSPs for MPC744x and MPC745x processors must specify CPU_VARIANT=_745x
    in
    the BSP makefile (in addition to CPU=PPC604) in order to access the
    correct
    architecture support for these processors. Such BSPs were previously
    supplied for
    use with VxWorks 5.5.1 without the CPU_VARIANT specification; they may
    not
    link properly with VxWorks 5.5.2 if it is not added.

    GV


  3. Re: mmuPpcBatInitMPC74x5 vxworks 5.5.1 and Tornado 2.2.2 problem

    Hi gvarndell,

    Thanks for the info. I'll try it tomorrow in the lab.

    Kind Regards,
    Juan M. Casillas


    gvarndell wrote:
    > assman wrote:
    > > Hi guys,
    > >
    > > I have a problem with my Tornado installation and upgrade. The latest
    > > patch from my board (A Randstone PPC604 one) requires Tornado 2.2.2
    > > with VxWorks 5.5.2. The patch is 2.6 (the latest service pack is 11)
    > >
    > > Scenario:
    > > win2k development platform (clean, no Tornado instalation)
    > > First of all, I install Tornado 2.2 from the installation CD's. No BSP
    > > is installed.
    > > Then, I install the CP1 patch in order to raise the version to 2.2.1
    > > Now, I install the CP2 patch to raise the version to 2.2.2
    > >
    > > Then I install my BSP software (2.6) for my board. All works fine. I
    > > can create a kernel, a bootrom, etc. Now, here comes the mayhem.
    > >
    > > If I update my instalation with any of the service packs for the board,
    > > the following error arises when linking a bootrom (or kernel, it's the
    > > same problem):
    > >
    > > mmuPpcBatInitMPC74x5 symbol is not found (the import is in SysLib.c
    > > file).
    > >
    > > I have tried with SP6, SP8, SP9 and SP11, all go wrong.
    > >
    > > Any fixes (or clues) for that ?
    > > Thanks in advance,

    >
    > Should have read the release notes.....
    >
    > >From section 1.3

    >
    > MPC744x and MPC745x Processors
    >
    > BSPs for MPC744x and MPC745x processors must specify CPU_VARIANT=_745x
    > in
    > the BSP makefile (in addition to CPU=PPC604) in order to access the
    > correct
    > architecture support for these processors. Such BSPs were previously
    > supplied for
    > use with VxWorks 5.5.1 without the CPU_VARIANT specification; they may
    > not
    > link properly with VxWorks 5.5.2 if it is not added.
    >
    > GV



  4. Re: mmuPpcBatInitMPC74x5 vxworks 5.5.1 and Tornado 2.2.2 problem

    Hi to all,

    I have test it right now and it works propertly.
    Also, I double check my board bsp' release notes, and I can't find this
    variable.
    Maybe my documentation is obsolete or something like that.

    Thanks for the help again,
    Kind Regards,

    Juan M. Casillas


    On Oct 26, 10:30 pm, "assman" wrote:
    > Hi gvarndell,
    >
    > Thanks for the info. I'll try it tomorrow in the lab.
    >
    > Kind Regards,
    > Juan M. Casillas
    >
    > gvarndell wrote:
    > > assman wrote:
    > > > Hi guys,

    >
    > > > I have a problem with my Tornado installation and upgrade. The latest
    > > > patch from my board (A Randstone PPC604 one) requires Tornado 2.2.2
    > > > with VxWorks 5.5.2. The patch is 2.6 (the latest service pack is 11)

    >
    > > > Scenario:
    > > > win2k development platform (clean, no Tornado instalation)
    > > > First of all, I install Tornado 2.2 from the installation CD's. No BSP
    > > > is installed.
    > > > Then, I install the CP1 patch in order to raise the version to 2.2.1
    > > > Now, I install the CP2 patch to raise the version to 2.2.2

    >
    > > > Then I install my BSP software (2.6) for my board. All works fine. I
    > > > can create a kernel, a bootrom, etc. Now, here comes the mayhem.

    >
    > > > If I update my instalation with any of the service packs for the board,
    > > > the following error arises when linking a bootrom (or kernel, it's the
    > > > same problem):

    >
    > > > mmuPpcBatInitMPC74x5 symbol is not found (the import is in SysLib.c
    > > > file).

    >
    > > > I have tried with SP6, SP8, SP9 and SP11, all go wrong.

    >
    > > > Any fixes (or clues) for that ?
    > > > Thanks in advance,

    >
    > > Should have read the release notes.....

    >
    > > >From section 1.3

    >
    > > MPC744x and MPC745x Processors

    >
    > > BSPs for MPC744x and MPC745x processors must specify CPU_VARIANT=_745x
    > > in
    > > the BSP makefile (in addition to CPU=PPC604) in order to access the
    > > correct
    > > architecture support for these processors. Such BSPs were previously
    > > supplied for
    > > use with VxWorks 5.5.1 without the CPU_VARIANT specification; they may
    > > not
    > > link properly with VxWorks 5.5.2 if it is not added.

    >
    > > GV



  5. Re: mmuPpcBatInitMPC74x5 vxworks 5.5.1 and Tornado 2.2.2 problem

    Check the file target.nr in your target/config directory. It should
    be documented in there.

    lc
    assman wrote:
    > Hi to all,
    >
    > I have test it right now and it works propertly.
    > Also, I double check my board bsp' release notes, and I can't find this
    > variable.
    > Maybe my documentation is obsolete or something like that.
    >
    > Thanks for the help again,
    > Kind Regards,
    >
    > Juan M. Casillas
    >
    >
    > On Oct 26, 10:30 pm, "assman" wrote:
    > > Hi gvarndell,
    > >
    > > Thanks for the info. I'll try it tomorrow in the lab.
    > >
    > > Kind Regards,
    > > Juan M. Casillas
    > >
    > > gvarndell wrote:
    > > > assman wrote:
    > > > > Hi guys,

    > >
    > > > > I have a problem with my Tornado installation and upgrade. The latest
    > > > > patch from my board (A Randstone PPC604 one) requires Tornado 2.2.2
    > > > > with VxWorks 5.5.2. The patch is 2.6 (the latest service pack is 11)

    > >
    > > > > Scenario:
    > > > > win2k development platform (clean, no Tornado instalation)
    > > > > First of all, I install Tornado 2.2 from the installation CD's. No BSP
    > > > > is installed.
    > > > > Then, I install the CP1 patch in order to raise the version to 2.2.1
    > > > > Now, I install the CP2 patch to raise the version to 2.2.2

    > >
    > > > > Then I install my BSP software (2.6) for my board. All works fine. I
    > > > > can create a kernel, a bootrom, etc. Now, here comes the mayhem.

    > >
    > > > > If I update my instalation with any of the service packs for the board,
    > > > > the following error arises when linking a bootrom (or kernel, it's the
    > > > > same problem):

    > >
    > > > > mmuPpcBatInitMPC74x5 symbol is not found (the import is in SysLib.c
    > > > > file).

    > >
    > > > > I have tried with SP6, SP8, SP9 and SP11, all go wrong.

    > >
    > > > > Any fixes (or clues) for that ?
    > > > > Thanks in advance,

    > >
    > > > Should have read the release notes.....

    > >
    > > > >From section 1.3

    > >
    > > > MPC744x and MPC745x Processors

    > >
    > > > BSPs for MPC744x and MPC745x processors must specify CPU_VARIANT=_745x
    > > > in
    > > > the BSP makefile (in addition to CPU=PPC604) in order to access the
    > > > correct
    > > > architecture support for these processors. Such BSPs were previously
    > > > supplied for
    > > > use with VxWorks 5.5.1 without the CPU_VARIANT specification; they may
    > > > not
    > > > link properly with VxWorks 5.5.2 if it is not added.

    > >
    > > > GV



  6. Re: mmuPpcBatInitMPC74x5 vxworks 5.5.1 and Tornado 2.2.2 problem

    The release notes are on the Wind River support web site, which one
    must visit in order to obtain the service pack that updates Tornado
    2.2.1 to Tornado 2.2.2.

    GV


+ Reply to Thread